Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Problem z instalacją Skype w Lubuntu  (Przeczytany 1122 razy)

Offline terefenk

  • Newbie
  • *
  • Wiadomości: 17
    • Mój stan Skype
Problem z instalacją Skype w Lubuntu
« dnia: Sierpień 23, 2017, 09:46:05 pm »
Witam! Jak wspominałem w Przywitaj się rozpocząłem przygodę z Lubuntu 17.04. Wybrałem ten system w celu wykorzystania dość wiekowego laptopa Fujitsu Siemens Amilo Pro  z procesorem 32 bit.. Instalacja systemu nie stanowiła problemu. Problemy z podłączeniem Wi-Fi (karta Broadcom) udało mi się pokonać dzięki poradzie , jaką znalazłem na forach internetowych. Niestety, mam problem z instalacją Skype. Po ściągnięciu ze strony Skype paczki instalacyjnej skypeforlinux-64.deb próbowałem ją zainstalować korzystając z instalatora pakietów Gdebi. Po jego uruchomieniu otrzymałem komunikat: Komunikat po próbie uruchomienia pakietu w instalatorze pakietów Gdebi:
Błąd: Nieprawidłowa architectura ‘amd64’-uruchom dpkg –add-architecture, aby ją dodać oraz następnie dokonać aktualizacji.

Kolejna próba instalacji z wykorzystaniem polecenia dpkg zakończyła się wyświetleniem następujących komunikatów:
mikolaj@mikolaj-AMILO-PRO-V8010:~/Pobrane$ sudo dpkg -i skypeforlinux-64.deb
[sudo] hasło użytkownika mikolaj:
dpkg: błąd przetwarzania archiwum skypeforlinux-64.deb (--install):
 architektura pakietu (amd64) nie zgadza się z architekturą systemu (i386)
Wystąpiły błędy podczas przetwarzania:
 skypeforlinux-64.deb

mikolaj@mikolaj-AMILO-PRO-V8010:~/Pobrane$ sudo dpkg --add-architecture i386
mikolaj@mikolaj-AMILO-PRO-V8010:~/Pobrane$ sudo dpkg -i skypeforlinux-64.deb
dpkg: błąd przetwarzania archiwum skypeforlinux-64.deb (--install):
 architektura pakietu (amd64) nie zgadza się z architekturą systemu (i386)
Wystąpiły błędy podczas przetwarzania:
 skypeforlinux-64.deb

Próba instalacji poprzez centrum oprogramowania przebiegła następująco: po ukazaniu się okna z możliwością instalacji i po kliknięciu przycisku Zainstaluj wyświetla się informacja o rozpoczęciu instalacji w wykazanym postępem instalacji 9% i po sekundzie następuje zaprzestanie dalszej instalacji.

Dalszych prób nie podejmowałem. Liczę na pomoc i z góry dziękuję za jej udzielenie.  Prośba-ponieważ jestem jeszcze dosyć zielony w korzystaniu z Lubuntu będę wdzięczny za przedstawienie mi rozwiązania w sposób możliwie zrozumiały dla laika. Pozdrawiam.
terefenk

Offline lesio

  • Sr. Member
  • ****
  • Wiadomości: 465
Odp: Problem z instalacją Skype w Lubuntu
« Odpowiedź #1 dnia: Sierpień 23, 2017, 10:08:25 pm »
Usiłujesz zainstalować skype napisanego w architekturze 64-bitowej na komputerze z systemem 32-bitowym. Tego się nie da normalnie zrealizować (chyba że z zastosowaniem jakiegoś emulatora). Powinieneś zaopatrzyć się w skype 32-bitowego.
Poleceniem : sudo dpkg --add-architecture i386 dodałeś architekturę 32-bitową do systemu 32-bitowego, co z zasady jest niepotrzebne. Z tego polecenia korzysta się zwykle wtedy, gdy na systemie 64-bitowym instaluje się oprogramowanie 32-bitowe - wtedy jest to konieczne.

Offline gom1

  • Sr. Member
  • ****
  • Wiadomości: 426
  • RLU #281182
Odp: Problem z instalacją Skype w Lubuntu
« Odpowiedź #2 dnia: Sierpień 23, 2017, 10:14:55 pm »
Napisz wynik polecenia:
sudo apt-cache search skype
Przy okazji: który masz model Amilo?
« Ostatnia zmiana: Sierpień 23, 2017, 10:16:45 pm wysłana przez gom1 »
Wszędzie dobrze, ale w /home najlepiej

Offline terefenk

  • Newbie
  • *
  • Wiadomości: 17
    • Mój stan Skype
Odp: Problem z instalacją Skype w Lubuntu
« Odpowiedź #3 dnia: Sierpień 24, 2017, 01:20:18 pm »
Dziękuję za szybką reakcję i przesłane informacje. Podaję wynik wykonania polecenia sudo apt-cache search skype:
libopus-dev - Opus codec library development files
libopus0 - Opus codec runtime library
hashcat - World's fastest and most advanced password recovery utility
libopus-ocaml - OCaml interface to the opus library -- runtime files
libopus-ocaml-dev - OCaml interface to the opus library -- developpement files
libsipwitch-dev - secure peer-to-peer SIP VoIP server - development files
libsipwitch1 - secure peer-to-peer SIP VoIP server - shared libraries
libsipwitch1-dbg - secure peer-to-peer SIP VoIP server - debug symbols
postgresql-9.6-pgq3 - Skype tools for PostgreSQL replication, londiste and PGQ
python-pgq3 - python framework for Skype tools for PostgreSQL replication
python-skytools3 - python framework for Skype tools for PostgreSQL replication
sipwitch - secure peer-to-peer VoIP server for the SIP protocol
sipwitch-cgi - secure peer-to-peer SIP VoIP server - CGI XML-RPC interface
skytools3 - Skype tools for PostgreSQL replication, londiste and PGQ
skytools3-ticker - Skype tools for PostgreSQL replication, londiste and PGQ
skytools3-walmgr - Skype tools for PostgreSQL replication and failover
empathy-skype - Skype plugin for libpurple messengers (Empathy-specific files)
pidgin-skype - Skype plugin for libpurple messengers (Pidgin-specific files)
pidgin-skype-common - Skype plugin for libpurple messengers (common files)
pidgin-skype-dbg - Skype plugin for libpurple messengers (debug symbols)
python-skype4py - Skype API wrapper for Python
skysentials - extra functionalities for Linux Skype client

[sudo] hasło użytkownika mikolaj:
libopus-dev - Opus codec library development files
libopus0 - Opus codec runtime library
hashcat - World's fastest and most advanced password recovery utility
libopus-ocaml - OCaml interface to the opus library -- runtime files
libopus-ocaml-dev - OCaml interface to the opus library -- developpement files
libsipwitch-dev - secure peer-to-peer SIP VoIP server - development files
libsipwitch1 - secure peer-to-peer SIP VoIP server - shared libraries
libsipwitch1-dbg - secure peer-to-peer SIP VoIP server - debug symbols
postgresql-9.6-pgq3 - Skype tools for PostgreSQL replication, londiste and PGQ
python-pgq3 - python framework for Skype tools for PostgreSQL replication
python-skytools3 - python framework for Skype tools for PostgreSQL replication
sipwitch - secure peer-to-peer VoIP server for the SIP protocol
sipwitch-cgi - secure peer-to-peer SIP VoIP server - CGI XML-RPC interface
skytools3 - Skype tools for PostgreSQL replication, londiste and PGQ
skytools3-ticker - Skype tools for PostgreSQL replication, londiste and PGQ
skytools3-walmgr - Skype tools for PostgreSQL replication and failover
empathy-skype - Skype plugin for libpurple messengers (Empathy-specific files)
pidgin-skype - Skype plugin for libpurple messengers (Pidgin-specific files)
pidgin-skype-common - Skype plugin for libpurple messengers (common files)
pidgin-skype-dbg - Skype plugin for libpurple messengers (debug symbols)
python-skype4py - Skype API wrapper for Python
skysentials - extra functionalities for Linux Skype client

Pozdrawiam

Offline terefenk

  • Newbie
  • *
  • Wiadomości: 17
    • Mój stan Skype
Odp: Problem z instalacją Skype w Lubuntu
« Odpowiedź #4 dnia: Sierpień 24, 2017, 01:31:32 pm »
Przeoczyłem prośbę o podanie modelu laptopa: jest to Amilo Pro V8010D procesor 1,4, RAM 1 Gb.

Offline terefenk

  • Newbie
  • *
  • Wiadomości: 17
    • Mój stan Skype
Odp: Problem z instalacją Skype w Lubuntu
« Odpowiedź #5 dnia: Sierpień 24, 2017, 02:16:30 pm »
Wykorzystując informacje przesłane w odpowiedzi na moją prośbę o pomoc podjąłem probe instalacji Skype poprzez uruchomienie kilku różnych pakietów instalacyjnych w wersji 32 bit. Oto rezultaty
Instalacja poprzez instalator pakietów GDebi – wersja Skype 4.3.0.37 for Ubuntu 10.0.4 nie powiodła się. Pojawił się komunikat o treści< jak niżej
Błąd: zależność nie może być spełniona: libqt4-webkit(>=4:4.6.1)

Instalacja poprzez instalator pakietów GDebi  wersja Skype-ubuntu-intrepid_2.1.0.81-1_i386 instalacja powiodła się

Instalacja poprzez instalator pakietów GDebi wersja Skype 12.04 (multiarch) powiodła się.
Raz jeszcze dziękuję za zainteresowanie się moją prosbą. Wątek uważam za zamknięty. Pozdrawiam  :)